Subject: Re: [PATCH net-next v4 0/8] selftest: Extend tun/virtio coverage for GSO over UDP tunnel

From: Willem de Bruijn <[email-masked]>
Date: Wed, 07 Jan 2026 09:59:36 -0500

Xu Du wrote:
> On Wed, Jan 7, 2026 at 6:58 AM Jakub Kicinski <[email-masked]> wrote:
> >
> > On Tue, 06 Jan 2026 17:14:05 -0500 Willem de Bruijn wrote:
> > > For instance, can the new netlink code be replaced by YNL, whether in
> > > C or called from a script?
> >
> > +1 looks like YNL is already used in net/ tests, and it supports
> > the operations in question, so that's a much better direction.
> > Please let us (YNL maintainers) know if there's anything missing
> > or not working, IDK how much use the rtnetlink support in YNL is
> > getting.
> >
> 
> Thank you for the suggestion. I am looking into replacing the netlink
> with YNL to reduce code. But after reviewing rt-link.rst, I found that
> rt-link currently lacks support for VXLAN. Would more significant changes
>  to the patch be acceptable if I switch to Geneve to leverage YNL?

These are only changes to the new code in your series. SGTM. I assume
it is not a significant burden as the two are fairly similar. Is that
correct?

Eventually it may be nice to have VXLAN support in YNL akin to Geneve
support. But sounds like a separate goal.